Licensing problem (OraDirect 4.50.30)

Licensing problem (OraDirect 4.50.30)

Postby KentKWK » Wed 02 Apr 2008 02:58

Hello.

I encounter this problem while executing my application.

"License not valid due to the problems with OraDirect.NET installation."

The condition in the operating PC is
1. Installed with OraDirect 3.50
2. Execute an application (MyApp.exe) which has a class library that reference OraDirect 4.50.30
3. The mentioned class library contains a license.licx as well as license.config which list the running application, MyApp.exe.

Any idea to rectify the problem? Helps are greatly appreciated.

Thanks in advance.

Regards,
Kent
KentKWK
 
Posts: 9
Joined: Tue 18 Mar 2008 04:51

Postby Alexey.mdr » Wed 02 Apr 2008 08:15

Core Lab data providers use common assemblies (design-time and run-time),
it is necessary to make sure that all installed data providers are compatible.
OraDirect .NET 4.50 is compatible with MyDirect .NET 4.50, PostgreSQLDirect .NET 3.50, and SQLDirect .NET 1.50.
Unfortunately, it's not compatible with the downgrade versions.
Alexey.mdr
 
Posts: 729
Joined: Thu 13 Dec 2007 10:24


Return to dotConnect for Oracle